package com.tzld.piaoquan.recommend.server.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author dyp
 */
@Data
public class Video {
    private long videoId;
    private double rovScore;
    private double sortScore;
    private String pushFrom;
    private String abCode;

    // 流量池相关 start
    private String flowPool;
    private String level;
    private String flowPoolAbtestGroup;
    private boolean inFlowPool;
    // 流量池相关 end

    private double rand;
    private String lastVideoKey;

    // video的特征 tag
    private List<String> tags = new ArrayList<>();

    // video的模型打分
    private double modelScore = 0.0D;

}
